snd_pcm_avail_update() returning absurd values causes PulseAudio to abort

Bug #330814 reported by vnieto on 2009-02-18
180
This bug affects 17 people
Affects Status Importance Assigned to Milestone
alsa-lib (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
linux (Ubuntu)
High
Daniel T Chen
Jaunty
High
Daniel T Chen
pulseaudio (Ubuntu)
Medium
Daniel T Chen
Jaunty
Medium
Daniel T Chen

Bug Description

Binary package hint: pulseaudio

When I listen musick or see a video, the sound pause to work and I don't listen musick only beep of buzzer.
When I see demesh this is show:

[ 700.958603] pulseaudio[4255]: segfault at 7f7a2f109070 ip 00007f7a2f109070 sp 00007fff3fdb9488 error 14 in module-null-sink.so[7f7a2fb39000+3000]

lsb_release -rd
Description: Ubuntu jaunty (development branch)
Release: 9.04

uname -a
Linux vnieto-laptop 2.6.28-8-generic #22-Ubuntu SMP Fri Feb 13 21:39:24 UTC 2009 x86_64 GNU/Linux

vnieto (vnieto) wrote :

Now I not listen any music file
when I use rhythmbox sowme this error:

vnieto@vnieto-laptop:~$ rhythmbox

(rhythmbox:4786): Rhythmbox-WARNING **: Unhandled error: Error de reproducción desconocido

(rhythmbox:4786): RhythmDB-CRITICAL **: rhythmdb_entry_ref: assertion `entry != NULL' failed

vnieto (vnieto) wrote :

Other info: work youtube sound,

a video work for a few minutes, later don't sound and crash!

vnieto (vnieto) wrote :

Example:
mplayer Videos/La.Tumba.De.Las.Luciernagas.Spanish.XviD.MP3.DVDRip.By.FreAk.TEAm.avi
MPlayer 1.0rc2-4.3.3 (C) 2000-2007 MPlayer Team
CPU: AMD Turion(tm) 64 X2 Mobile Technology TL-58 (Family: 15, Model: 104, Stepping: 2)
CPUflags: MMX: 1 MMX2: 1 3DNow: 1 3DNow2: 1 SSE: 1 SSE2: 1
Compiled with runtime CPU detection.
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing Videos/La.Tumba.De.Las.Luciernagas.Spanish.XviD.MP3.DVDRip.By.FreAk.TEAm.avi.
AVI file format detected.
[aviheader] Video stream found, -vid 0
[aviheader] Audio stream found, -aid 1
VIDEO: [XVID] 640x352 12bpp 23.976 fps 959.4 kbps (117.1 kbyte/s)
Clip info:
 Software: VirtualDubMod 1.5.10.1 (build 2439/release)
xscreensaver_disable: Could not find XScreenSaver window.
GNOME screensaver disabled
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Selected video codec: [ffodivx] vfm: ffmpeg (FFmpeg MPEG-4)
==========================================================================
==========================================================================
Forced audio codec: mad
Opening audio decoder: [libmad] libmad mpeg audio decoder
AUDIO: 48000 Hz, 2 ch, s16le, 128.0 kbit/8.33% (ratio: 16000->192000)
Selected audio codec: [mad] afm: libmad (libMAD MPEG layer 1-2-3)
==========================================================================
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
E: context.c: waitpid(): No child processes
<b>AO: [pulse] Failed to connect to server: Internal error</b>
AO: [alsa] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
VDec: vo config request - 640 x 352 (preferred colorspace: Planar YV12)
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1.82:1 - prescaling to correct movie aspect.
VO: [xv] 640x352 => 640x352 Planar YV12
A: 0.3 V: 0.4 A-V: -0.076 ct: -0.010 11/ 11 ??% ??% ??,?% 1 0

vnieto (vnieto) wrote :

Other info: work youtube sound,

a video work for a few minutes, later don't sound and crash!

vnieto (vnieto) wrote :

more:
vnieto@vnieto-laptop:~$ pulseaudio
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
N: main.c: Called SUID root and real-time and/or high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
N: main.c: We are not in group 'pulse-rt', PolicyKit refuse to grant us the requested privileges and we have no increase RLIMIT_NICE/RLIMIT_RTPRIO resource limits.
N: main.c: For enabling real-time/high-priority scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
W: pid.c: Stale PID file, overwriting.
E: alsa-util.c: snd_pcm_avail_update() returned a value that is exceptionally large: 13835058055282158908 bytes (418293516383 ms) Most likely this is a Linux bug. Please report this issue to the ALSA developers.
W: alsa-util.c: Cannot find fallback mixer control "Mic" or mixer control is no combination of switch/volume.

Soft CPU time limit exhausted, terminating.
Hard CPU time limit exhausted, terminating forcibly.

Daniel T Chen (crimsun) on 2009-02-22
Changed in pulseaudio:
importance: Undecided → Medium
status: New → Confirmed
sovnarkom (sovnarkom) wrote :

Problem with pulsaudio and skype (latest):

When I use external USB soundcard, and on my dualcore 1.7 intel, Skype eat ~ 100%-130% when Pulseaudio ~10%-50% of cpu. Sound goes from me with high latency and often cuts.

When I use ALSA it works properly (skype eat about 20%).

Audacity with pulseaudio now works well.

2.6.28-8-server #25-Ubuntu SMP Tue Feb 24 00:36:09 UTC 2009 i686 GNU/Linux

Pulse audio:
  Installed: 0.9.14-0ubuntu7
  Candidate: 0.9.14-0ubuntu7
  Version table:
 *** 0.9.14-0ubuntu7 0
        500 http://archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

skype:
  Установлен: 2.0.0.72-1
  Кандидат: 2.0.0.72-1
  Таблица версий:
 *** 2.0.0.72-1 0
        100 /var/lib/dpkg/status

sovnarkom (sovnarkom) wrote :

When i making a call in pulseaudio, I see cycling messages every ~ half second:
...
I: client.c: Created 241 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 14, local 14
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
I: client.c: Freed 241 "ALSA plug-in [skype]"
I: protocol-native.c: Connection died.
I: client.c: Created 242 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 14, local 14
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
I: client.c: Freed 242 "ALSA plug-in [skype]"
I: protocol-native.c: Connection died.
...

vnieto (vnieto) wrote :

still happen before pulseaundio update.

Tuomas Aavikko (taavikko) wrote :

Shouldn't user be member of "audio" group

Fresh install:
:~$ groups
myname adm dialout cdrom plugdev lpadmin admin sambashare

sovnarkom (sovnarkom) wrote :

Yes sometimes, when use rhythmbox I have same as vniento have:

E: alsa-util.c: snd_pcm_avail_update() returned a value that is exceptionally large: 3221224740 bytes (18260911 ms) Most likely this is a Linux bug. Please report this issue to the ALSA developers.
Soft CPU time limit exhausted, terminating.
Hard CPU time limit exhausted, terminating forcibly.
Aborted

This seems to be an ALSA or ALSA Plug-in bug, or two separate bugs.
Is there place to report ALSA bugs or to track progress of already reported bugs?

And can anybody reproduce this on Interpid or Hardy or it affects only Jaunty?

vnieto (vnieto) wrote :

In my case, happen always before a time. In hardy or intrepid never have this error.

" Tuomas Aavikko wrote 12 hours ago: (permalink)

Shouldn't user be member of "audio" group

Fresh install:
:~$ groups
myname adm dialout cdrom plugdev lpadmin admin sambashare"

I don't understant you!!

Martin Pitt (pitti) wrote :

No, users shouldn't be members of "audio" any more. Device permissions are assigned dynamically now, to users on local foreground consoles.

Architecture: i386
DistroRelease: Ubuntu 9.04
Package: pulseaudio 0.9.14-0ubuntu8
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=de_DE.UTF-8
Uname: Linux 2.6.28-8-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Martin Pitt (pitti) wrote :

Oops, sorry for above two comments, please ignore. They were for testing and should have gone to staging.launchpad.net..

Ivan Stetsenko (stetzen) wrote :

Same problem here, pulseaudio 0.9.14-0ubuntu8. Whe I'm using skype, it becomes a really serious problem, sound just completely hangs about every 10 mins.

Daniel T Chen (crimsun) on 2009-02-27
Changed in pulseaudio:
status: Confirmed → Triaged
Changed in alsa-lib:
status: New → Confirmed
Changed in linux:
assignee: nobody → ubuntu-audio
status: New → Confirmed
Artem Popov (artfwo) wrote :

If this bug includes the Linux kernel, could it be related to the unbearable XRUNs (both on ALSA and Firewire) with JACK on Jaunty?

Daniel T Chen (crimsun) on 2009-02-27
Changed in pulseaudio:
assignee: nobody → crimsun
status: Triaged → In Progress
anagor (anagor) wrote :

Hi all,
I believe that I'm experiencing the same bug here however in a different situation.
I use Jaunty 64bit, updated up to today with pulseaudio 0.9.14-0ubuntu9

Occasionally when I use rhythmbox, if I pause a song for a long enough time (several minutes), the pulseaudio crashes with exact same message as vnieto and sovnarkom had:
alsa-util.c: snd_pcm_avail_update() returned a value that is exceptionally large: .....

Restarting pulseaudio helps, until the next crash.
My audio hardware is:
Intel HDA/ Realtek ALC888 codec.

billy shears (billy-shears) wrote :

I was affected by bug #319118, I think it's a little bit different than this bug but since it has been marked as duplicate I'm posting here.
The "snd_pcm_avail_update() returned a value that is exceptionally large" bug as been fixed for me with pulseaudio 0.9.14-0ubuntu10, but now I get a different error:

module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is a Linux bug. Please report this issue to the ALSA developers. We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail_update() returned 0.

I get quite a lot of these errors, about 250/hour.

sovnarkom (sovnarkom) wrote :

The same as billy shears.
145 % CPU by skype, and sound in rhythmbox is also cutted

Daniel T Chen (crimsun) on 2009-03-04
Changed in pulseaudio:
status: In Progress → Fix Committed
sovnarkom (sovnarkom) wrote :

billy shears bug seems to be fixed in current PPA

apt-cache policy pulseaudio
pulseaudio:
  Installed: 0.9.14-0ubuntu11~ppa1~ubuntu1
  Candidate: 0.9.14-0ubuntu11~ppa1~ubuntu1
  Version table:
 *** 0.9.14-0ubuntu11~ppa1~ubuntu1 0
        500 http://ppa.launchpad.net jaunty/main Packages
        100 /var/lib/dpkg/status
     0.9.14-0ubuntu10 0
        500 http://archive.ubuntu.com jaunty/main Packages

But my bug with multiple skype reconnections still exists. I think it is separate.
With ALSA only it works well but not with pulseaudio.

Can I open another ticket?

billy shears (billy-shears) wrote :

I've tried pulseaudio 0.9.14-0ubuntu11~ppa1~ubuntu1, it worked like a charm for about an half hour, then it stopped playing completely, I've checked user.log, there was about 120000 "snd_pcm_avail_update() returned a value that is exceptionally large" errors, the log was 50 MB and it kept on growing so I had to kill pulseaudio.

Daniel T Chen (crimsun) on 2009-03-05
Changed in pulseaudio:
status: Fix Committed → In Progress
billy shears (billy-shears) wrote :

the bug I've reported above seems to be fixed with 0.9.14-0ubuntu11~ppa2, I've tested it for some hours without problems

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.14-0ubuntu11

---------------
pulseaudio (0.9.14-0ubuntu11) jaunty; urgency=low

  [ Daniel T Chen ]
  * Reenable 0030_set_tsched0.patch, which re-disables glitch-free;
    too many users are reporting regressions and audio aberrations.
  * Adjust 0003_change_resample_and_buffering.patch to use linear
    resampler to work better with lack of PREEMPT in jaunty's
    -generic kernel config (LP: #207135, #322250, #332761, #335955,
    LP: #336965).
  * Last upload, specifically 0091_workaround_alsa_horkage, fixes:
    LP: #235990, #237443, #279847, #317997, #323185, #330814,
    LP: #334874.
  * sudo -H change in ubuntu6 fixed LP: #312505.
  * Closing old bugs fixed in 0.9.11+: LP: #187963, #193520, #211052.
  * Refresh 0006_regen-autotools.patch.
  * Add 0043_load_sample_dir_lazy.patch to cache
    /usr/share/sounds/ubuntu/stereo/* in default.pa.
  * debian/:
    - control: Build against libcap2-dev (LP: #339448);
    - copyright: Update copyright from Debian's 0.9.14-2;
    - rules: Add DEB_OPT_FLAG = -O3 as per recommendation from
      pulseaudio-discuss/2007-December/001017.html.
  * Refresh fixes from git HEAD:
    - 0038_handle_errno_properly.patch,
    - 0091_workaround_alsa_horkage.patch,
    - 0092_fix_null_pointer_access.patch.

  [ Luke Yelavich ]
  * Add a special case to prevent Pulseaudio from being started when the
    blindness accessibility profile has been enabled from the Ubuntu live CD,
    and for an accessibility install. Unfortunately Pulseaudio and speech do
    not currently work very well with each other, and its too late in
    the cycle to solve this problem any other way.

 -- Luke Yelavich <email address hidden> Tue, 10 Mar 2009 09:00:40 +1100

Changed in pulseaudio:
status: In Progress → Fix Released
Daniel T Chen (crimsun) wrote :
Changed in alsa-lib:
status: Confirmed → Won't Fix
Changed in linux:
assignee: ubuntu-audio → crimsun
importance: Undecided → Low
status: Confirmed → Fix Committed
Wade Menard (wade-ezri) wrote :

Sorry for the spam but I'm confused with the above comments and release logs. Is it supposed to be fixed in pulseaudio 0.9.14-0ubuntu11 or do we need to wait for that above fix to be added to ubuntu's kernel sauce. Since i'm still seeing the issue wondering if a configuration file got missed in upgrading.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Tue, 10 Mar 2009, Wade Menard wrote:

> Sorry for the spam but I'm confused with the above comments and release
> logs. Is it supposed to be fixed in pulseaudio 0.9.14-0ubuntu11 or do we
> need to wait for that above fix to be added to ubuntu's kernel sauce.
> Since i'm still seeing the issue wondering if a configuration file got
> missed in upgrading.

The PulseAudio portion has been addressed. The Linux portion is being
investigated.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFJtvFve9GwFciKvaMRAoYRAJ90m8EGBTNEohhLcGROCjRIcPl2LwCgwyfn
SA32pyAkkon8Z+XFXKHZLRM=
=dezZ
-----END PGP SIGNATURE-----

Daniel T Chen (crimsun) wrote :

For amd64 users, there is a test kernel at http://kernel.ubuntu.com/~dtchen/

Wade Menard (wade-ezri) wrote :

Thank you Daniel. I've been running it for the past hour and haven't had any issues yet. Hopefully it does the trick.

Is there another bug report for this issue?

I have sound again!
now let me check for updates to mess it up!

Richard Seguin (sectech) wrote :

This issue also affects Intrepid. Daniel since this issue was originally addressed the issue would you like to nominate it for intrepid based upon the SRU guidelines?

Richard Seguin (sectech) wrote :

Sorry about the grammar. What I meant to say was since you patched or dealt with the patch would you like to nominate it

LCID Fire (lcid-fire) wrote :

Daniel: I tested the amd64 image and it shows a much more extreme behaviour.
Miro for example works every time now - no scrambled output anymore
But in Totem it does not play sound anymore - stating:
** Message: Error: Disconnected: OK
pulsesink.c(451): gst_pulsesink_is_dead (): /GstPlayBin:play/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin5/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

strange thing is - both use gstreamer.

LCID Fire (lcid-fire) wrote :

Actually after testing some more videos it seems like the kernel version is making things pretty much better.
Gstreamer seems to crash pulseaudio on attemting to play some wmv files - but everything else seems to run smooth now. Is there any log to look at to validate this assumption?

Vishal Rao (vishalrao) wrote :

Installed the amd64 kernel and VLC and Youtube videos with flash nonfree under Konquerer now work properly with audio always being played back with no crackling. Previously it would either crackle or fail to play sound at all and logs would have lines like "vlc SEGV error 7 in pulse...". alsa-info at http://www.alsa-project.org/db/?f=d6968af7545df262a1c083ea64464fc209f77710 and also attached for desktop with an Intel DP35DP motherboard with onboard sound.

Vishal Rao (vishalrao) wrote :

Another success report on an HP Pavilion tx1302au tablet PC, alsa-info at http://www.alsa-project.org/db/?f=a48190b6afb92f449c4afbfa72d59125561d549d and also attached. Again, tested VLC and youtube via flash nonfree on firefox which previously would not play sound sometimes and log "Mar 22 10:46:39 silverbird kernel: [ 3240.313442] vlc[10934]: segfault at 7f56916df610 ip 00007f56916df612 sp 00007f569231c108 error 7 in libpulse.so.0.7.1[7f56916b6000+5d000]" but no more...

Mar 23 21:34:39 ryan-desktop pulseaudio[3543]: alsa-util.c: Device hw:1 doesn't support 44100 Hz, changed to 16000 Hz.
Mar 23 21:34:39 ryan-desktop pulseaudio[3543]: alsa-util.c: Device hw:1 doesn't support 2 channels, changed to 1.
Mar 23 21:34:39 ryan-desktop pulseaudio[3543]: module-alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.

my only current prob is mic capture! both skype and flash cant use it!
any fix for this?

PS: can the kernel image be put on a PPA? that would make it much easier to upgrade until Daniel get it SRU

http://www.alsa-project.org/db/?f=4524b0993bb6c2d313cdcf6588e18ddda53ac423

I was told to post at this bug with my issue and that link above. When I plug in my headphones I get sound other wise I do not. This is on a laptop so my laptop speakers are not working.

Launchpad Janitor (janitor) wrote :
Download full text (3.5 KiB)

This bug was fixed in the package linux - 2.6.28-11.38

---------------
linux (2.6.28-11.38) jaunty; urgency=low

  [ Brad Figg ]

  * When AppArmor is configured, securityfs must be as well.
    - LP: #344370
  * ARM: Enable AA with SECURITYFS for imx51
    - LP: #344370

  [ Bryan Wu ]

  * Add 3 missing files to prerm remove file list
    - LP: #345623

  [ Daniel T Chen ]

  * SAUCE: (drop after 2.6.28) Don't trust hw-ptr blindly
    - LP: #330814
  * SAUCE: (drop after 2.6.28) Apply further pcm_lib updates for hw_ptr
    - LP: #330814

  [ Ike Panhc ]

  * Copy header files for various kernel media driver
    - LP: #322732

  [ Tim Gardner ]

  * Revert "Fix the VFP handling on the Feroceon CPU"
    Only applied to mv78xx0 ARM flavour.
  * Enabled drivers/staging/at76_usb
    - LP: #152626

  [ <email address hidden> ]

  * SAUCE: ipw2200: Enable LED by default
    - LP: #21367
  * SAUCE: wistron_btns: support Prestigio Wifi RF kill button over suspend
    - LP: #346586

  [ Upstream Kernel Changes ]

  * Build fix for __early_pfn_to_nid() undefined link error
  * Fix misreporting of #cores as #hyperthreads for Q9550
  * eventfd: remove fput() call from possible IRQ context
  * S390: __div64_31 broken for CONFIG_MARCH_G5
  * ALSA: Fix vunmap and free order in snd_free_sgbuf_pages()
  * ALSA: mixart, fix lock imbalance
  * ALSA: pcm_oss, fix locking typo
  * ALSA: hda - Fix DMA mask for ATI controllers
  * ALSA: hda - Workaround for buggy DMA position on ATI controllers
  * ALSA: opl3sa2 - Fix NULL dereference when suspending snd_opl3sa2
  * nfsd: nfsd should drop CAP_MKNOD for non-root
  * NFSD: provide encode routine for OP_OPENATTR
  * dm ioctl: validate name length when renaming
  * dm io: respect BIO_MAX_PAGES limit
  * dm crypt: fix kcryptd_async_done parameter
  * dm crypt: wait for endio to complete before destruction
  * ata_piix: add workaround for Samsung DB-P70
  * V4L/DVB (10218): cx23885: Fix Oops for mixed install of analog and
    digital only cards
  * thinkpad-acpi: fix module autoloading for older models
  * Add '-fwrapv' to gcc CFLAGS
  * Move cc-option to below arch-specific setup
  * USB: storage: Unusual USB device Prolific 2507 variation added
  * USB: Add Vendor/Product ID for new CDMA U727 to option driver
  * USB: option.c: add ZTE 622 modem device
  * USB: Add device id for Option GTM380 to option driver
  * USB: Option: let cdc-acm handle Sony Ericsson F3507g / Dell 5530
  * USB: Updated unusual-devs entry for USB mass storage on Nokia 6233
  * USB: unusual_devs: Add support for GI 0431 SD-Card interface
  * USB: serial: add FTDI USB/Serial converter devices
  * USB: serial: ftdi: enable UART detection on gnICE JTAG adaptors
    blacklist interface0
  * USB: serial: new cp2101 device id
  * USB: usbtmc: fix stupid bug in open()
  * USB: usbtmc: add protocol 1 support
  * USB: usbfs: keep async URBs until the device file is closed
  * USB: EHCI: expedite unlinks when the root hub is suspended
  * USB: EHCI: Fix isochronous URB leak
  * powerpc: Remove extra semicolon in fsl_soc.c
  * menu: fix embedded menu snafu
  * Linux 2.6.28.9
  * Add '-fwrapv' to gcc CFLAGS
    - LP: #348015
  * Move cc-option to below arch-s...

Read more...

Changed in linux:
status: Fix Committed → Fix Released
Spider (spider-alternating) wrote :

Okay. Can someone provide a way to cherry-pick the alsa/hda ones that haven't made it upstream yet? I "need" a couple of thing from vanilla .29 ( No journal ext4 at least) and would like to try it out with functioning sound.

Martin Vysny (vyzivus) wrote :

PulseAudio is much more stable now. Thanks!

Spider (spider-alternating) wrote :

I: module-alsa-sink.c: Underrun!
D: protocol-native.c: Requesting rewind due to end of underrun.
I: module-alsa-sink.c: Underrun!
D: protocol-native.c: Requesting rewind due to end of underrun.
I: module-alsa-sink.c: Underrun!
D: protocol-native.c: Requesting rewind due to end of underrun.
I: module-alsa-sink.c: Underrun!
D: protocol-native.c: Requesting rewind due to end of underrun.

Still getting nasty glitches in my sound and underruns ( running pulseaudio -k; pulseaudio -v --log-target=stderr --log-level=debug -C )

2-4 times per minute, makes it a rather unpleasant experience to listen to music

Waves% apt-cache policy pulseaudio
pulseaudio:
  Installed: 0.9.14-0ubuntu15
  Candidate: 0.9.14-0ubuntu15
  Version table:
 *** 0.9.14-0ubuntu15 0
        500 http://se.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

Waves% apt-cache policy linux-image-2.6.28-11-generic
linux-image-2.6.28-11-generic:
  Installed: 2.6.28-11.38
  Candidate: 2.6.28-11.38
  Version table:
 *** 2.6.28-11.38 0
        500 http://se.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

sovnarkom (sovnarkom) wrote :
Download full text (4.1 KiB)

Same with skype:

...
: client.c: Created 427 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 14, local 14
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
I: module-stream-restore.c: Restoring device for stream sink-input-by-application-name:ALSA plug-in [skype].
I: module-stream-restore.c: Restoring volume for sink input sink-input-by-application-name:ALSA plug-in [skype].
D: module-stream-restore.c: Not restoring mute state for sink input sink-input-by-application-name:ALSA plug-in [skype], because already set.
D: module-suspend-on-idle.c: Sink alsa_output.usb_device_d8c_c_noserial_if0_sound_card_0_alsa_playback_0 becomes busy.
D: resampler.c: Channel matrix:
D: resampler.c: I00
D: resampler.c: +------
D: resampler.c: O00 | 1,000
D: resampler.c: O01 | 1,000
I: resampler.c: Using resampler 'src-linear'
I: resampler.c: Using float32le as working format.
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=4, prebuf=0, minreq=1 maxrewind=0
D: memblockq.c: memblockq sanitized: maxlength=33554432, tlength=33554432, base=4, prebuf=0, minreq=4 maxrewind=0
I: sink-input.c: Created input 104 "ALSA Playback" on alsa_output.usb_device_d8c_c_noserial_if0_sound_card_0_alsa_playback_0 with sample spec s16le 1ch 48000Hz and channel map mono
I: protocol-native.c: Requested tlength=42,67 ms, minreq=10,67 ms
D: protocol-native.c: Early requests mode enabled, configuring sink latency to minreq.
D: memblockq.c: memblockq requested: maxlength=4194304, tlength=4096, base=2, prebuf=3072, minreq=1024 maxrewind=0
D: memblockq.c: memblockq sanitized: maxlength=4194304, tlength=4096, base=2, prebuf=3072, minreq=1024 maxrewind=0
I: protocol-native.c: Final latency 53,33 ms = 21,33 ms + 2*10,67 ms + 10,67 ms
D: module-alsa-sink.c: hwbuf_unused=0
D: module-alsa-sink.c: setting avail_min=1
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
I: client.c: Freed 427 "ALSA plug-in [skype]"
I: protocol-native.c: Connection died.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
I: client.c: Created 428 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 14, local 14
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
I: client.c: Freed 428 "ALSA plug-in [skype]"
I: protocol-native.c: Connection died.
I: client.c: Created 429 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 14, local 14
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
I: client.c: Freed 429 "ALSA plug-in [skype]"
I: protocol-native.c: Connection died.
I: client.c: Created 430 "Native client (UNIX socket clien...

Read more...

xq19space (tuxlux) wrote :

Where is this fix that's been releashed. I put Jaunty on a new laptop today and sound, along with volume, is still a huge screwed up mess.

Just what is it with Ubuntu that they can't get sound to work.

Incompetence?

I'm still seeing postings all over the internet from people having trouble with Ubuntu sound issues.

C'mon guys......it's 2009........not 2009 BC.

On Sat, Aug 8, 2009 at 7:42 PM, Ronnie Smith<email address hidden> wrote:
> Where is this fix that's been releashed. I put Jaunty on a new laptop
> today and sound, along with volume, is still a huge screwed up mess.

The required fixes to linux and pulseaudio are rather invasive for
jaunty. You should try karmic instead.

> Just what is it with Ubuntu that they can't get sound to work.

You're welcome to contribute patches.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers